.. py:currentmodule:: pysph.tools

Miscellaneous Tools for PySPH
==============================

.. contents::
    :local:
    :depth: 1

Input/Output of data files
---------------------------

The following functions are handy functions when processing output generated by
PySPH or to generate new files.

.. autofunction:: pysph.solver.utils.dump

.. autofunction:: pysph.solver.utils.get_files

.. autofunction:: pysph.solver.utils.load

.. autofunction:: pysph.solver.utils.load_and_concatenate


Interpolator
------------

This module provides a convenient class called
:py:class:`interpolator.Interpolator` which can be used to interpolate any
scalar values from the points onto either a mesh or a collection of other
points.  SPH interpolation is performed with a simple Shepard filtering.

.. automodule:: pysph.tools.interpolator
    :members:
    :undoc-members:


SPH Evaluator
-------------

This module provides a class that allows one to evaluate a set of equations on
a collection of particle arrays. This is very handy for non-trivial
post-processing that needs to be quick.

.. automodule:: pysph.tools.sph_evaluator
    :members:
    :undoc-members:


GMsh input/output
------------------


.. automodule:: pysph.tools.gmsh
    :members:
    :undoc-members:

Mayavi Viewer
-------------

.. automodule:: pysph.tools.mayavi_viewer
   :members:
   :undoc-members:

STL Converter
-------------

The following function can be used to convert an STL file to a set of grid
points.

.. autofunction:: pysph.tools.geometry_stl.get_stl_surface


